aagc.vo

## Class GetMovimentiLottoItem

- java.lang.Object
- - aagc.vo.GetMovimentiLottoItem

-     public class GetMovimentiLottoItem
      extends java.lang.Object

  Java class for getMovimentiLottoItem complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="getMovimentiLottoItem">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idMovimentoLotto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataMovimento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceAIC" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="numeroLotto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="scadenzaLotto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="causale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="quantita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `causale`
    `protected java.lang.String` | `codiceAIC`
    `protected java.lang.String` | `dataMovimento`
    `protected java.lang.String` | `idMovimentoLotto`
    `protected java.lang.String` | `numeroLotto`
    `protected java.lang.String` | `quantita`
    `protected java.lang.String` | `scadenzaLotto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMovimentiLottoItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCausale()` Gets the value of the causale property.
    `java.lang.String` | `getCodiceAIC()` Gets the value of the codiceAIC property.
    `java.lang.String` | `getDataMovimento()` Gets the value of the dataMovimento property.
    `java.lang.String` | `getIdMovimentoLotto()` Gets the value of the idMovimentoLotto property.
    `java.lang.String` | `getNumeroLotto()` Gets the value of the numeroLotto property.
    `java.lang.String` | `getQuantita()` Gets the value of the quantita property.
    `java.lang.String` | `getScadenzaLotto()` Gets the value of the scadenzaLotto property.
    `void` | `setCausale(java.lang.String value)` Sets the value of the causale property.
    `void` | `setCodiceAIC(java.lang.String value)` Sets the value of the codiceAIC property.
    `void` | `setDataMovimento(java.lang.String value)` Sets the value of the dataMovimento property.
    `void` | `setIdMovimentoLotto(java.lang.String value)` Sets the value of the idMovimentoLotto property.
    `void` | `setNumeroLotto(java.lang.String value)` Sets the value of the numeroLotto property.
    `void` | `setQuantita(java.lang.String value)` Sets the value of the quantita property.
    `void` | `setScadenzaLotto(java.lang.String value)` Sets the value of the scadenzaLotto property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idMovimentoLotto

          protected java.lang.String idMovimentoLotto

    - #### dataMovimento

          protected java.lang.String dataMovimento

    - #### codiceAIC

          protected java.lang.String codiceAIC

    - #### numeroLotto

          protected java.lang.String numeroLotto

    - #### scadenzaLotto

          protected java.lang.String scadenzaLotto

    - #### causale

          protected java.lang.String causale

    - #### quantita

          protected java.lang.String quantita

  - ### Constructor Detail

    - #### GetMovimentiLottoItem

          public GetMovimentiLottoItem()

  - ### Method Detail

    - #### getIdMovimentoLotto

          public java.lang.String getIdMovimentoLotto()

      Gets the value of the idMovimentoLotto property.
      Returns:
        possible object is `String`

    - #### setIdMovimentoLotto

          public void setIdMovimentoLotto(java.lang.String value)

      Sets the value of the idMovimentoLotto property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataMovimento

          public java.lang.String getDataMovimento()

      Gets the value of the dataMovimento property.
      Returns:
        possible object is `String`

    - #### setDataMovimento

          public void setDataMovimento(java.lang.String value)

      Sets the value of the dataMovimento property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceAIC

          public java.lang.String getCodiceAIC()

      Gets the value of the codiceAIC property.
      Returns:
        possible object is `String`

    - #### setCodiceAIC

          public void setCodiceAIC(java.lang.String value)

      Sets the value of the codiceAIC property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumeroLotto

          public java.lang.String getNumeroLotto()

      Gets the value of the numeroLotto property.
      Returns:
        possible object is `String`

    - #### setNumeroLotto

          public void setNumeroLotto(java.lang.String value)

      Sets the value of the numeroLotto property.
      Parameters:
        `value` - allowed object is `String`

    - #### getScadenzaLotto

          public java.lang.String getScadenzaLotto()

      Gets the value of the scadenzaLotto property.
      Returns:
        possible object is `String`

    - #### setScadenzaLotto

          public void setScadenzaLotto(java.lang.String value)

      Sets the value of the scadenzaLotto property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCausale

          public java.lang.String getCausale()

      Gets the value of the causale property.
      Returns:
        possible object is `String`

    - #### setCausale

          public void setCausale(java.lang.String value)

      Sets the value of the causale property.
      Parameters:
        `value` - allowed object is `String`

    - #### getQuantita

          public java.lang.String getQuantita()

      Gets the value of the quantita property.
      Returns:
        possible object is `String`

    - #### setQuantita

          public void setQuantita(java.lang.String value)

      Sets the value of the quantita property.
      Parameters:
        `value` - allowed object is `String`